local mod = RW:Boss("Devourer of Souls", "Party - WOTLK", "The Forge of Souls")
local L

mod.type = "party"

mod.BossIcon = [[Interface\Icons\achievement_boss_devourerofsouls]]

---------------------------
-- Variables
local iMirror, wMirror
local wWell
local wWail, tWailDur

---------------------------
-- Init

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then		
		L.mirrorwarning = "Stop hitting the boss!"
		L.mirrorwarning_opt = "Warning to stop hitting the boss"
	end
	L = mod:GetLocale()
	self.L = L
	
	self:SetTrigger(36502)
	self:SetWin()
	
	tWailDur	= self:DurTimer(15, 68899)
	
	wMirror		= self:CustomWarning(L.mirrorwarning, L.mirrorwarning_opt, 69051)
	wWell		= self:RunawayWarning(68820)
	wWail		= self:RunawayWarning(68899)
	
	iMirror		= self:Icon("SKULL", 69051, false, 10)
end

---------------------------
-- Locals
local wellSpam

---------------------------
-- Start

function mod:OnEngage(trigger)
	self:Track("Mirror", 69051, 69023)
	self:Track("Well", 68863, 68820, 70323)
	self:Track("Wail", 68899, 68912)
	
	wellSpam = 0
end

function mod:Mirror(event, args)
	if event == "SPELL_AURA_APPLIED" then
		iMirror:Show(args.dName)
		wMirror:Show()
	end
end

function mod:Well(event, args)
	if event == "SPELL_DAMAGE" then
		if args:IsPlayer() then
			if GetTime() - wellSpam > 2 then
				wWell:Show()
				wellSpam = GetTime()
			end
		end
	end
end

function mod:Wail(event, args)
	if event == "SPELL_CAST_START" then
		wWail:Show()
		tWailDur:Schedule(3)
	end
end
