local mod = RW:Boss("General Zarithrian", "The Ruby Sanctum")
local L

mod:SetPackIcon([[Interface\ICONS\spell_nature_elementalprecision_2]])
mod.BossIcon = [[Interface\Icons\spell_shadow_twilight]]

---------------------------
-- Variables

-- Fear
local tFearCD, wFear

-- Adds
local wAdds, tAddsCD

---------------------------
-- Init

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
		L.adds_emote = "Turn them to ash, minions!"
		
		L.adds = "New Adds"
		L.adds_opt = "Time untill next set of adds will spawn"
		L.adds_warning_opt = "Warn when new adds spawn"
	end
	L = mod:GetLocale()
	self.L = L
	
	self:SetTrigger(39746)
	self:SetWin()
	
	-- Fear
	tFearCD			= self:CDTimer(35, 74384)
	wFear			= self:CastWarning(74384)
	
	-- Adds
	tAddsCD			= self:CustomTimer(45, L.adds, L.adds_opt, [[Interface\Icons\Spell_Shadow_CurseOfTounges]], "Adds")
	wAdds			= self:CustomWarning(L.adds, L.adds_warning_opt, [[Interface\Icons\Spell_Shadow_CurseOfTounges]], "Adds")
end

---------------------------
-- Locals

---------------------------
-- Start

function mod:OnEngage(trigger)
	self:Track("Fear", 74384)
	
	self:YellTrack("Adds", L.adds_emote)
end

function mod:Fear(event, args)
	if event == "SPELL_CAST_START" then
		tFearCD:Start()
		wFear:Show()
	end
end

function mod:Adds(event, msg, name)
	wAdds:Show()
	tAddsCD:Start()
end

